org.apache.coyote.http11.upgrade.servlet31

## Interface HttpUpgradeHandler

All Known Implementing Classes:
  WsHttpUpgradeHandler

    public interface HttpUpgradeHandler

Interface between the HTTP upgrade process and the new protocol.

### Method Summary

Methods
`void` `destroy()` This method is called after the upgraded connection has been closed.
`void` `init(WebConnection connection)` This method is called once the request/response pair where the upgrade is initiated has completed processing and is the point where control of the connection passes from the container to the `HttpUpgradeHandler`.

### Method Detail

#### init

    void init(WebConnection connection)

This method is called once the request/response pair where the upgrade is initiated has completed processing and is the point where control of the connection passes from the container to the `HttpUpgradeHandler`.

Parameters:
  `connection` - The connection that has been upgraded

#### destroy

    void destroy()

This method is called after the upgraded connection has been closed.